%global libwebp_sover 7
%global srcname webm

#disable debuginfo, this package does not contain arched output, but needs to
#be arched to work properly with multilibbed libwebp
%global debug_package %{nil}

Name:           python-%{srcname}
Version:        0.2.2
Release:        18%{?dist}
Summary:        Python wrapper to WebM libraries

License:        BSD
URL:            https://github.com/expobrain/python-webm
Source0:        https://github.com/expobrain/python-webm/archive/v%{version}/%{name}-%{version}.tar.gz

# patches taken from Xpra fork of python-webm
# http://xpra.org/trac/browser/xpra/trunk/src/xpra/codecs/webm

# fix loading of the dynamic library
Patch1:         0001-support-different-libwebp-versions.patch
# support lossy encoding
Patch2:         0002-support-lossy.patch
Patch3:         0003-tostring-is-deprecated.patch

BuildRequires:  libwebp

BuildRequires:  python2-devel
BuildRequires:  python2-nose
BuildRequires:  python2-imaging

%description
The python-webm package is an interface to the WebM video/image codec. The
interface uses ctypes to call the libvpx/libwebm Google libraries installed in
the system. At the moment only the libwebm library is wrapped and with some
limitations.


%package -n python2-%{srcname}
Summary:  %{summary}
%if 0%{?__isa_bits} == 64
Requires:       libwebp.so.%{libwebp_sover}()(64bit)
%else
Requires:       libwebp.so.%{libwebp_sover}
%endif

Requires:       python2-imaging
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
The python-webm package is an interface to the WebM video/image codec. The
interface uses ctypes to call the libvpx/libwebm Google libraries installed in
the system. At the moment only the libwebm library is wrapped and with some
limitations.


%prep
%autosetup -n %{name}-%{version} -p1

%build
#nothing to do

%install
mkdir -p %{buildroot}%{python2_sitearch}/webm
cp -p webm/*.py %{buildroot}%{python2_sitearch}/webm

%check
nosetests-%{python2_version} -v -e 'test_decode_YUV' -e 'test_output_YUV_to_*'

%files -n python2-%{srcname}
%{python2_sitearch}/webm
%doc README

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jul 13 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 0.2.2-15
- Add python2 subpackage
- Update upstream URL

* Thu Jul 13 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 0.2.2-14
- Use python2- dependencies instead of unversioned python ones

* Wed Jun 28 2017 Sandro Mani <manisandro@gmail.com> - 0.2.2-13
- Bump libwebp soname for requires

* Wed Feb 01 2017 Sandro Mani <manisandro@gmail.com> - 0.2.2-12
- Rebuild (libwebp)

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-11
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Dec 30 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.2.2-9
- Rebuilt for libwebp soname bump

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 03 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.2-5
- rebuild and fix up for libwebp soname bump
- fix SRPM build on ARM

* Tue Oct 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.2-4
- support lossy encoding

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon May 06 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.2-2
- fix up dependency on libwebp (package became arched as a result)
- fix License tag
- explicitly list python version in BuildRequires
- be more verbose when running tests

* Thu Apr 18 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.2-1
- initial package

